SystemOrganization addCategory: #ConfigurationOfMagritteMagic!

Object subclass: #ConfigurationOfMagritteMagic
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMagritteMagic'!

!ConfigurationOfMagritteMagic class methodsFor: 'private' stamp: 'NickAger 2/16/2012 15:59'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMagritteMagic class methodsFor: 'private' stamp: 'NickAger 2/16/2012 15:59'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMagritteMagic class methodsFor: 'metacello tool support' stamp: 'NickAger 2/16/2012 15:59'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMagritteMagic class methodsFor: 'loading' stamp: 'NickAger 2/16/2012 15:59'!
load
	"self load"
	
	self project stableVersion load! !

!ConfigurationOfMagritteMagic class methodsFor: 'accessing' stamp: 'NickAger 2/16/2012 15:59'!
project

	^self new project! !

!ConfigurationOfMagritteMagic methodsFor: 'baselines' stamp: 'SeanDeNigris 4/29/2015 11:47'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '25/04/2015 Updated repos to new locations and changed from ConfigurationOfSeasideRest -> ConfigurationOfSeaside3 load: ''REST'''.
		spec 
			repository: 'http://ss3.gemstone.com/ss/MagritteMagic'.
		spec
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte3';
					loads: #('Seaside' 'Tests' 'Magritte-Morph');
					versionString: #stable;
					repository: 'http://smalltalkhub.com/mc/Magritte/Magritte3/main/' ];
			yourself.
		spec
			project: 'MagritteAddOns' with: [
				spec
					className: 'ConfigurationOfMagritte3AddOns';
					loads: #('Tests' 'Magritte-JQuery');
					versionString: #stable;
					repository: 'http://smalltalkhub.com/mc/Magritte/Magritte3Addons/main' ];
			yourself.
		spec
			project: 'SeasideREST' with: [
				spec
					className: 'ConfigurationOfSeaside3';
					loads: #('REST');
					versionString: #stable;
					repository: 'http://smalltalkhub.com/mc/Seaside/MetacelloConfigurations' ];
			yourself.

		spec
			package: 'MagritteMagic' with: [ 
				spec requires: #('Magritte' 'MagritteAddOns' 'SeasideREST') ];
			yourself.
		spec
			group: 'default' with: #('MagritteMagic');
			yourself.
		].
! !

!ConfigurationOfMagritteMagic methodsFor: 'symbolic versions' stamp: 'NickAger 2/16/2012 15:59'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>! !

!ConfigurationOfMagritteMagic methodsFor: 'accessing' stamp: 'NickAger 2/16/2012 15:59'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfMagritteMagic methodsFor: 'symbolic versions' stamp: 'NickAger 2/16/2012 16:05'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '1.0'. ! !

!ConfigurationOfMagritteMagic methodsFor: 'versions' stamp: 'NickAger 2/19/2012 10:36'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'initial port of Magritte Magic Magritte 3'.
		spec author: 'NickAger'.
		spec timestamp: '16/02/12 17:41'.
		
		spec 
			package: 'MagritteMagic' with: 'MagritteMagic-NickAger.9']! !
